<?php

declare(strict_types=1);

namespace App\Controller\TblSupervisor;

use App\Service\TblSupervisorService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblSupervisorService(): TblSupervisorService
    {
        return $this->container->get('TblSupervisor_service');
    }
}
